SLA Policies
GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
必填
显示子属性
results.createdAt
string
必填
results.description
string
必填
results.id
string
必填
results.metrics
object
显示子属性
results.metrics.firstReplyTime
array of object
显示子属性
results.metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
显示子属性
results.metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
必填
results.timeKeepingMethod
string
必填
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
必填
results.workspaceId
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
请求载荷
name
string
必填
description
string
必填
timeKeepingMethod
string
必填
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
显示子参数
metrics.firstReplyTime
array of object
显示子参数
metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
显示子参数
metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
响应载荷
createdAt
string
必填
description
string
必填
id
string
必填
metrics
object
显示子属性
metrics.firstReplyTime
array of object
显示子属性
metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
显示子属性
metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
必填
timeKeepingMethod
string
必填
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
必填
workspaceId
string
必填
代码示例
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
响应载荷
createdAt
string
必填
description
string
必填
id
string
必填
metrics
object
显示子属性
metrics.firstReplyTime
array of object
显示子属性
metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
显示子属性
metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
必填
timeKeepingMethod
string
必填
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
必填
workspaceId
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
请求载荷
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
显示子参数
metrics.firstReplyTime
array of object
显示子参数
metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
显示子参数
metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
响应载荷
createdAt
string
必填
description
string
必填
id
string
必填
metrics
object
显示子属性
metrics.firstReplyTime
array of object
显示子属性
metrics.firstReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
显示子属性
metrics.nextReplyTime.breachThreshold
integer
必填
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
必填
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
必填
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
必填
timeKeepingMethod
string
必填
Determine how the timers are tracking expiry.
- clock will simply count using the full 24 hours of a day.
- businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
必填
workspaceId
string
必填
代码示例
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
代码示例
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'